﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ActorSelection_Helios_ClientExecutor
{
    class Program
    {
        static void Main(string[] args)
        {
            if (args.Length == 0)
                ExecuteLoop("ActorSelection_Helios_Client.exe");
            else
                ExecuteLoop(args[0]);
        }

        public static void ExecuteLoop(string filename)
        {
            ProcessStartInfo info = new ProcessStartInfo()
            {
                FileName = filename,
                CreateNoWindow = true,
                WindowStyle = ProcessWindowStyle.Hidden,
            };
            while (true)
            {
                List<Process> pList = new List<Process>
                {
                    Process.Start(info),
                    Process.Start(info),
                    Process.Start(info),
                    Process.Start(info),
                    Process.Start(info),
                    Process.Start(info),
                    Process.Start(info),
                    Process.Start(info),
                    Process.Start(info),
                    Process.Start(info),
                };

                foreach (var p in pList)
                {
                    p.WaitForExit();
                    p.Dispose();
                }

                pList = null;
            }
        }
    }
}
